Bug 166693 - duplicate entry in printers.conf after powercycling USB printer
duplicate entry in printers.conf after powercycling USB printer
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-08-24 14:00 EDT by Ariel T. Glenn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-21 13:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
working printers.conf (538 bytes, text/plain)
2005-08-24 14:03 EDT, Ariel T. Glenn
no flags Details
broken printers.conf (1.03 KB, text/plain)
2005-08-24 14:04 EDT, Ariel T. Glenn
no flags Details

  None (edit)
Description Ariel T. Glenn 2005-08-24 14:00:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
(This may not be the fault of system-printer-gui; it's whatever reconfigures the printers after rescanning the USB bus.)

I have two printer queues in printers.conf, using cups. 

If we power cycle one of the printers, when the system picks up the printer being powered back on, it adds two new entries for the printers in printers.conf, so that we have four queues instead of two.  Jobs don't get sent to the old queues from our remote clients, so printing is broken.

Note that these are both USB printers, and that I have disabled cups-config-daemon, but that had no effect.

Maybe this is related to bug 81164, reported for fc3.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. power off printer
2. power on printer
3. loko at broken printers.conf with extra entries.

Additional info:
Comment 1 Ariel T. Glenn 2005-08-24 14:03:18 EDT
Created attachment 118082 [details]
working printers.conf
Comment 2 Ariel T. Glenn 2005-08-24 14:04:11 EDT
Created attachment 118083 [details]
broken printers.conf

This is what the printers.conf file looks like after powercycling a printer
(two dup queues).
Comment 3 Tim Waugh 2006-12-21 13:31:10 EST
I think this has been fixed in FC6.

Note You need to log in before you can comment on or make changes to this bug.